package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.*;
import com.ssm.manage.query.RefundCashReqest;
import com.ssm.manage.query.RefundRoomCashRequest;
import com.ssm.manage.response.RefundCashResponse;
import com.ssm.manage.response.RefundRoomCashResponse;

import java.util.List;

public interface SsmRefundRoomCashService  extends BaseService<RefundRoomCash> {
    List<RefundRoomCashResponse> selectList(RefundRoomCashRequest refundCashReqest);
    int addRefundCashSalem(List<RefundRoomCashRequest> list, RefundOrderList refundOrderList, BaseStore baseStore1) throws SmsException;

    int updateRefundCash(List<RefundRoomCashRequest> list, RefundOrderList refundOrderList) throws SmsException;

    int audit(RefundOrderList refundOrderList) throws SmsException;

    int unAudit(RefundOrderList refundOrderList) throws  SmsException;
}
